<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Get Method (DatabaseEntry, Transaction, LockingInfo)
BaseDatabase Class See Also

Retrieve a key/data pair from the database. In the presence of duplicate key values, Get will return the first data item for key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, DatabaseEntry> Get(
    	DatabaseEntry key,
    	Transaction txn,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function Get ( _
    	key As DatabaseEntry, _
    	txn As Transaction, _
    	info As LockingInfo _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, DatabaseEntry^> Get(
    	DatabaseEntry^ key,
    	Transaction^ txn,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data.

# Remarks

If txn is null and the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Get Overload
BerkeleyDB Namespace